
Redmine - Defect #4094

Unable to configure email settings - 

2009-10-23 09:27 - Muthuraj Muthiah

Status: Closed Start date: 2009-10-23

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have downloaded BITNAMI stack to set up Redmine on a new server. Everything went OK until I started to set up email

configuration. In the email.yml settings, I have specified as per the instructions but redmine not started after that. Got error trace as

below: I used the authentication as :login, :none, login (without colon), none (without colon) but I get the same error.

When I used 0.7, I used to do it in environment.rb, it works perfectly.

Please advise.

Setup configuration: ========================

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.4

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /opt/redmine-0.8.5-0/apps/redmine

Environment               development

Database adapter          mysql

Starting Mongrel listening at 0.0.0.0:3002

Starting Rails with production environment...

Mounting Rails at /redmine...

/opt/redmine-0.8.5-0/ruby/lib/ruby/1.8/yaml.rb:133:in `load': syntax error on line 9, col 4: `    authentication: ':login

(ArgumentError)

from /opt/redmine-0.8.5-0/ruby/lib/ruby/1.8/yaml.rb:133:in `load'

from /opt/redmine-0.8.5-0/ruby/lib/ruby/1.8/yaml.rb:144:in `load_file'

from /opt/redmine-0.8.5-0/ruby/lib/ruby/1.8/yaml.rb:143:in `open'

from /opt/redmine-0.8.5-0/ruby/lib/ruby/1.8/yaml.rb:143:in `load_file'

from /opt/redmine-0.8.5-0/apps/redmine/config/initializers/40-email.rb:6

from /opt/redmine-0.8.5-0/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'

from /opt/redmine-0.8.5-0/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'

from /opt/redmine-0.8.5-0/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in

`new_constants_in'

from /opt/redmine-0.8.5-0/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'

from /opt/redmine-0.8.5-0/apps/redmine/vendor/rails/railties/lib/initializer.rb:484:in `load_application_initializers'

from /opt/redmine-0.8.5-0/apps/redmine/vendor/rails/railties/lib/initializer.rb:483:in `each'

History

#1 - 2009-10-24 12:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.8.5)

- Resolution set to Invalid

- Affected version deleted (0.8.5)

Your email.yml doesn't seem to be a valid YAML file.
Please fix it.
